Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.module
Class ModuleExceptionType

    java.lang.Object
      |
      +--uk.ac.man.bioinf.util.AbstractEnumeration
            |
            +--uk.ac.man.bioinf.module.ModuleExceptionType

public final class ModuleExceptionType
extends AbstractEnumeration

This class provides an identifier for the module exception that has been thrown, rather than string comparisons needing to be carried out. Created: Mon May 22 11:26:22 2000

Version:
  $Id: ModuleExceptionType.java,v 1.4 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley

Nested Class Summary

Nested classes inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`AbstractEnumeration.ElementIterator`

Field Summary
`static ModuleExceptionType` | `MODULE_CLASS_NOT_FOUND` The module class was not found in the location stated.
`static ModuleExceptionType` | `MODULE_DOES_NOT_EXIST`
`static ModuleExceptionType` | `MODULE_EXISTS` The module has previously been defined and created.
`static ModuleExceptionType` | `MODULE_INIT_PROBLEM` Creating and instantiating the module generated a problem.
`static ModuleExceptionType` | `MODULE_RESOLVE_FAIL` Indicates a failed attempt to resolve a module name

Fields inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`ord`

Methods inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`getAllElements, getSize, iterator, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MODULE_DOES_NOT_EXIST

    public static final ModuleExceptionType MODULE_DOES_NOT_EXIST

### MODULE_RESOLVE_FAIL

    public static final ModuleExceptionType MODULE_RESOLVE_FAIL

  Indicates a failed attempt to resolve a module name

### MODULE_EXISTS

    public static final ModuleExceptionType MODULE_EXISTS

  The module has previously been defined and created.

### MODULE_CLASS_NOT_FOUND

    public static final ModuleExceptionType MODULE_CLASS_NOT_FOUND

  The module class was not found in the location stated.

### MODULE_INIT_PROBLEM

    public static final ModuleExceptionType MODULE_INIT_PROBLEM

  Creating and instantiating the module generated a problem.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD